OGRE-Next: Ogre::TextureFilter::GenerateSwMipmaps Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::TextureFilter::GenerateSwMipmaps Class Reference

`#include <OgreTextureFilters.h>`

Inheritance diagram for Ogre::TextureFilter::GenerateSwMipmaps:
[legend]

## Public Member Functions
void | _executeStreaming (Image2 &image, TextureGpu *texture) override
| Gets executed from worker thread, right after the Image was loaded from file and we're done setting the metadata to the Texture.
Public Member Functions inherited from Ogre::TextureFilter::FilterBase
virtual | ~FilterBase ()
virtual void | _executeSerial (TextureGpu *texture)
| Gets executed after the TextureGpu is fully resident and fully loaded.

## Static Public Member Functions
static uint32 | getFilter (const Image2 &image)
| See Image2::Filter.
Static Public Member Functions inherited from Ogre::TextureFilter::FilterBase
static void | createFilters (uint32 filters, FilterBaseArray &outFilters, const TextureGpu *texture, const Image2 &image, bool toSysRam)
static void | destroyFilters (FilterBaseArray &inOutFilters)
static void | simulateFiltersForCacheConsistency (uint32 filters, const Image2 &image, const TextureGpuManager *textureGpuManager, uint8 &inOutNumMipmaps, PixelFormatGpu &inOutPixelFormat)
| Simulates as if the given filters were applied, producing the resulting number mipmaps & PixelFormat.

## Member Function Documentation

## ◆ _executeStreaming()

void Ogre::TextureFilter::GenerateSwMipmaps::_executeStreaming | ( | Image2 & | image,
|  | TextureGpu * | texture )
| overridevirtual

Gets executed from worker thread, right after the Image was loaded from file and we're done setting the metadata to the Texture.

Beware the texture may or may not have been transitioned to resident yet (it's likely not resident, but 2nd face and onwards of cubemaps will be resident)

Reimplemented from Ogre::TextureFilter::FilterBase.

## ◆ getFilter()

static uint32 Ogre::TextureFilter::GenerateSwMipmaps::getFilter | ( | const Image2 & | image | ) |
| static

See Image2::Filter.

The documentation for this class was generated from the following file:

- OgreTextureFilters.h